<%= form_with(model: @learning_resource, local: true, html: { class: "form", multipart: true }) do |form| %>
  <% if @learning_resource.errors.any? %>
    <div id="error_explanation" class="alert alert-danger">
      <h2><%= pluralize(@learning_resource.errors.count, "error") %> prohibited this learning_resource from being saved:</h2>

      <ul>
        <% @learning_resource.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="mb-3">
    <%= form.label :topic, class: "form-label" %>
    <%= form.text_field :topic, class: "form-control" %>
  </div>

  <div class="mb-3">
    <%= form.label :youtube_link, class: "form-label" %>
    <%= form.text_field :youtube_link, class: "form-control" %>
  </div>

  <div class="mb-3">
    <%= form.label :knowledge, class: "form-label" %>
    <%= form.text_area :knowledge, class: "form-control tinymce", rows: 5 %>
  </div>

  <div class="mb-3">
    <%= form.label :thumbnail, class: "form-label" %>
    <%= form.file_field :thumbnail, class: "form-control" %>
  </div>

  <div class="mb-3">
    <%= form.submit "Submit", class: "btn btn-primary" %>
  </div>
<% end %>
